#include<iostream>
#include<cassert>
#include"ezwin.h"
#include"rect.h"
#include"position.h"

using namespace std;

SimpleWindow How_to_play("How to play",15.0,14.0);

int ApiMain(){
	How_to_play.Open();
	assert(How_to_play.GetStatus()==WindowOpen);

//Background and the details

	How_to_play.RenderRectangle(Position(0.0,0.0),Position(15.0,14.0),Black);
	How_to_play.RenderText(Position(7.0,0.0),Position(8.0,1.0),"..::RULES OF THE GAME::..",Cyan,Black);
	How_to_play.RenderText(Position(1.0,1.0),Position(14.0,1.5),"The game is similar to the original game. The game was introduced in",Cyan,Black);
	How_to_play.RenderText(Position(1.0,1.5),Position(14.0,2.0),"India. This game is designed for two players. Both players get alternate",Cyan,Black);
	How_to_play.RenderText(Position(1.0,2.0),Position(14.0,2.5),"turns to shoot. The striker is used to shoot other pieces on the board.",Cyan,Black);
	How_to_play.RenderText(Position(1.0,2.5),Position(14.0,3.0),"The striker has to be placed between the base lines. There are 16 pieces,",Cyan,Black);
	How_to_play.RenderText(Position(1.0,3.0),Position(14.0,3.5),"four of each of the following colors: Cyan, Blue, Green and Black.",Cyan,Black);
	How_to_play.RenderText(Position(1.0,3.5),Position(14.0,4.0),"Each color has an associated value to it:",Cyan,Black);
	How_to_play.RenderText(Position(1.0,4.0),Position(14.0,4.5),"Cyan - 50 points",Cyan,Black);
	How_to_play.RenderText(Position(1.0,4.5),Position(14.0,5.0),"Blue - 40 points",Cyan,Black);
	How_to_play.RenderText(Position(1.0,5.0),Position(14.0,5.5),"Green - 25 points",Cyan,Black);
	How_to_play.RenderText(Position(1.0,5.5),Position(14.0,6.0),"Black - 10 points",Cyan,Black);
	How_to_play.RenderText(Position(1.0,6.0),Position(14.0,6.5),"All colors are open to both players and they score points corresponding",Cyan,Black);
	How_to_play.RenderText(Position(1.0,6.5),Position(14.0,7.0),"to the color of the piece they sink in any of the four pockets at the",Cyan,Black);
	How_to_play.RenderText(Position(1.0,7.0),Position(14.0,7.5),"corners. For sinking the striker a penalty of 10 points is given. At",Cyan,Black);
	How_to_play.RenderText(Position(1.0,7.5),Position(14.0,8.0),"the end of the game, the person with more points wins.",Cyan,Black);
	How_to_play.RenderText(Position(1.0,8.0),Position(14.0,9.0),"..::HOW TO PLAY::..",Cyan,Black);
	How_to_play.RenderText(Position(1.0,9.0),Position(14.0,9.5),"The first step is to set the position of the striker. Using the mouse,",Cyan,Black);
	How_to_play.RenderText(Position(1.0,9.5),Position(14.0,10.0),"click on the position between the base lines where you want the striker",Cyan,Black);
	How_to_play.RenderText(Position(1.0,10.0),Position(14.0,10.5),"to be placed. Once you select the position, confirm it by clicking on",Cyan,Black);
	How_to_play.RenderText(Position(1.0,10.5),Position(14.0,11.0),"SET POSITION at the bottom-right of the board. Next, select the",Cyan,Black);
	How_to_play.RenderText(Position(1.0,11.0),Position(14.0,11.5),"direction in which you want to shoot the striker by clicking in the",Cyan,Black);
	How_to_play.RenderText(Position(1.0,11.5),Position(14.0,12.0),"direction. Once you select the angle, confirm it by clicking on SET",Cyan,Black);
	How_to_play.RenderText(Position(1.0,12.0),Position(14.0,12.5),"ANGLE. Next, select the power with which you want to shoot the striker",Cyan,Black);
	How_to_play.RenderText(Position(1.0,12.5),Position(14.0,13.0),"by clicking in the power bar at the appropriate level. Once done,",Cyan,Black);
	How_to_play.RenderText(Position(1.0,13.0),Position(14.0,13.5),"click on SHOOT! to make your shot. Enjoy the game!",Cyan,Black);
	How_to_play.RenderText(Position(11.0,13.5),Position(15.0,14.0),"CLICK HERE TO GO BACK",Cyan,Black);


return 0;
}


//Funtion to control the mouse in the How_to_play window
int How_to_playMouseClick(const Position &p){
	float x=p.GetXDistance(),y=p.GetYDistance();
	if(x>11.0 && x<15.0 && y<14.0 && y>13.5){
		How_to_play.Close();
		Open_Welcome_Screen();
		return 1;
	}
	else{
		How_to_play.SetMouseClickCallback(How_to_playMouseClick);
	}
}