#include"bitmap.h"
#include<cassert>
// Create a window with title "Basic", size 10cm x 10cm,
//     positioned 3cm from left, 1cm from top of screen.
SimpleWindow MyWindow("Carroms", 10.0, 10.0,
		      Position(3.0, 1.0));

// ApiMain(): create a window and display a bitmap image of a carrom board
int ApiMain() {
  MyWindow.Open();
  assert(MyWindow.GetStatus() == WindowOpen); 
  Position WindowCenter = MyWindow.GetCenter();
  // create a bitmap
  BitMap Photo(MyWindow);
  // load the image
  Photo.Load("image.bmp");
  assert(Photo.GetStatus()==BitMapOkay);
  // Compute photo position so that it is centered in the window
  Position PhotoPosition=WindowCenter+Position(-.5*Photo.GetWidth()-.5*Photo.GetHeight());
  Photo.SetPosition(PhotoPosition);
  Photo.Draw();
  return 0;   }
//ApiEnd():it shuts down the window
int ApiEnd() {
  PhotoWindow.Close();
  return 0;
              }
