#include<iostream>
#include<cassert>
#include"ezwin.h"
#include"rect.h"
#include"circle.h"
#include"ellipse.h"
#include"shape.h"
#include"position.h"

using namespace std;

SimpleWindow WelcomeScreen("Welcome",20.0,14.0);

int ApiMain(){
	WelcomeScreen.Open();
	assert(WelcomeScreen.GetStatus()==WindowOpen);

//Background and main titles

	WelcomeScreen.RenderRectangle(Position(0.0,0.0),Position(20.0,14.0),Black);

//Main title "CARROM-171"

	CircleShape a(WelcomeScreen,Position(2.5,2.0),Cyan,4.0);
	a.Draw();
	WelcomeScreen.RenderRectangle(Position(2.5,0.0),Position(4.5,4.0),Black);
	CircleShape f(WelcomeScreen,Position(2.5,2.0),Black,3.75);
	f.Draw();
	WelcomeScreen.RenderRectangle(Position(2.5,0.0),Position(4.5,4.0),Black);
	EllipseShape b(WelcomeScreen,Position(8.0,1.0),Cyan,4.0,2.0);
	b.Draw();
	EllipseShape g(WelcomeScreen,Position(8.0,1.0),Black,3.75,1.75);
	g.Draw();
	WelcomeScreen.RenderRectangle(Position(6.0,0.0),Position(8.0,4.0),Black);
	EllipseShape c(WelcomeScreen,Position(5.5,1.0),Cyan,4.0,2.0);
	c.Draw();
	EllipseShape h(WelcomeScreen,Position(5.5,1.0),Black,3.75,1.75);
	h.Draw();
	WelcomeScreen.RenderRectangle(Position(3.5,0.0),Position(5.5,4.0),Black);
	WelcomeScreen.RenderLine(Position(4.0,0.0),Position(3.0,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(4.0,0.0),Position(5.0,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(3.25,2.5),Position(4.75,2.5),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(5.5,0.0),Position(5.5,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(5.5,2.0),Position(7.5,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(8.0,0.0),Position(8.0,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(8.0,2.0),Position(10.0,4.0),Cyan,0.1);
	EllipseShape d(WelcomeScreen,Position(11.75,2.0),Cyan,2.5,4.0);
	d.Draw();
	EllipseShape e(WelcomeScreen,Position(11.75,2.0),Black,2.25,3.75);
	e.Draw();
	WelcomeScreen.RenderLine(Position(13.5,0.0),Position(13.5,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(15.5,0.0),Position(15.5,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(15.5,0.0),Position(14.5,2.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(13.5,0.0),Position(14.5,2.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(16.0,2.0),Position(16.5,2.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(17.0,0.0),Position(17.0,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(17.0,0.0),Position(16.5,1.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(16.75,4.0),Position(17.25,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(17.75,0.05),Position(18.75,0.05),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(18.75,0.0),Position(18.0,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(19.5,0.0),Position(19.5,4.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(19.5,0.0),Position(19.0,1.0),Cyan,0.1);
	WelcomeScreen.RenderLine(Position(19.25,4.0),Position(19.75,4.0),Cyan,0.1);

//Other 4 options, START GAME, HOW TO PLAY, CREDITS, EXIT

	WelcomeScreen.RenderText(Position(6.0,4.5),Position(14.0,6.5),"START GAME",Cyan,Black);
	WelcomeScreen.RenderText(Position(6.0,6.5),Position(14.0,8.5),"HOW TO PLAY",Cyan,Black);
	WelcomeScreen.RenderText(Position(6.0,8.5),Position(14.0,10.5),"CREDITS",Cyan,Black);
	WelcomeScreen.RenderText(Position(6.0,10.5),Position(14.0,12.5),"EXIT GAME",Cyan,Black);
	WelcomeScreen.RenderText(Position(5.0,12.5),Position(15.0,14.0),"CLICK ON THE OPTION YOU WISH TO SELECT TO PROCEED.",Cyan,Black);
	

return 0;
}
