#ifndef CREDITS_H_INCLUDED
#define CREDITS_H_INCLUDED

SimpleWindow Credits("Credits",16.6,14.0);//Defining Credits window

int CreditsMouseClick(const Position &p);//Function to control the mouse in the credits window
void Open_Credits_Screen();//Function to open the Credits window
int Open_Welcome_Screen();//Function to open the WelcomeScreen window

//Function to control the mouse in the credits window
int CreditsMouseClick(const Position &p){
	float x=p.GetXDistance(),y=p.GetYDistance();
	if(x>12.4 && x<16.4 && y<14.0 && y>13.5){//Checking if the click is on the CLICK HERE TO GO BACK button and acting accordingly
		Credits.Close();
		Open_Welcome_Screen();
		return 1;
	}
	else{//Otherwise, looking for another click
		Credits.SetMouseClickCallback(CreditsMouseClick);
	}
}

//Function to open the Credits window
void Open_Credits_Screen(){
	Credits.Open();
	assert(Credits.GetStatus()==WindowOpen);
	//Background and details
	Credits.RenderRectangle(Position(0.0,0.0),Position(16.6,14.0),Black);
	//Top title "TEAM-171"
	Credits.RenderLine(Position(1.0,0.05),Position(3.0,0.05),Cyan,0.1);
	Credits.RenderLine(Position(2.0,0.0),Position(2.0,4.0),Cyan,0.1);
	Credits.RenderLine(Position(3.5,0.0),Position(3.5,4.0),Cyan,0.1);
	Credits.RenderLine(Position(3.5,0.05),Position(5.5,0.05),Cyan,0.1);
	Credits.RenderLine(Position(3.5,2.0),Position(4.5,2.0),Cyan,0.1);
	Credits.RenderLine(Position(3.5,4.0),Position(5.5,4.0),Cyan,0.1);
	Credits.RenderLine(Position(7.0,0.0),Position(6.0,4.0),Cyan,0.1);
	Credits.RenderLine(Position(7.0,0.0),Position(8.0,4.0),Cyan,0.1);
	Credits.RenderLine(Position(6.25,2.75),Position(7.75,2.75),Cyan,0.1);
	Credits.RenderLine(Position(8.5,0.0),Position(8.5,4.0),Cyan,0.1);
	Credits.RenderLine(Position(10.5,0.0),Position(10.5,4.0),Cyan,0.1);
	Credits.RenderLine(Position(10.5,0.0),Position(9.5,2.0),Cyan,0.1);
	Credits.RenderLine(Position(8.5,0.0),Position(9.5,2.0),Cyan,0.1);
	Credits.RenderLine(Position(11.0,2.0),Position(12.0,2.0),Cyan,0.1);
	Credits.RenderLine(Position(12.5,0.0),Position(12.5,4.0),Cyan,0.1);
	Credits.RenderLine(Position(12.5,0.0),Position(12.0,1.0),Cyan,0.1);
	Credits.RenderLine(Position(12.125,4.0),Position(12.875,4.0),Cyan,0.1);
	Credits.RenderLine(Position(13.0,0.05),Position(14.5,0.05),Cyan,0.1);
	Credits.RenderLine(Position(14.5,0.0),Position(13.25,4.0),Cyan,0.1);
	Credits.RenderLine(Position(15.25,0.0),Position(15.25,4.0),Cyan,0.1);
	Credits.RenderLine(Position(15.25,0.0),Position(14.75,1.0),Cyan,0.1);
	Credits.RenderLine(Position(14.875,4.0),Position(15.575,4.0),Cyan,0.1);
	//Team members
	Credits.RenderText(Position(5.3,4.5),Position(11.3,5.5),"TOSHENDRA SHARMA (T.A. AND MENTOR)",Cyan,Black);
	Credits.RenderText(Position(5.3,5.5),Position(11.3,6.5),"TEJAS SONI (TEAM LEADER)",Cyan,Black);
	Credits.RenderText(Position(5.3,6.5),Position(11.3,7.5),"VAMSIDHAR Y.",Cyan,Black);
	Credits.RenderText(Position(5.3,7.5),Position(11.3,8.5),"VIVAN SORAB",Cyan,Black);
	Credits.RenderText(Position(5.3,8.5),Position(11.3,9.5),"TARKESHWAR SINGH",Cyan,Black);
	Credits.RenderText(Position(5.3,9.5),Position(11.3,10.5),"SURESH CHAND MEENA",Cyan,Black);
	Credits.RenderText(Position(5.3,10.5),Position(11.3,11.5),"SUNNY KATARIA",Cyan,Black);
	Credits.RenderText(Position(5.3,11.5),Position(11.3,12.5),"SAI KRISHNA R.",Cyan,Black);
	Credits.RenderText(Position(5.3,12.5),Position(11.3,13.5),"VIPUL SNEHI",Cyan,Black);
	Credits.RenderText(Position(12.4,13.5),Position(16.4,14.0),"CLICK HERE TO GO BACK",Red,Cyan);
	Credits.SetMouseClickCallback(CreditsMouseClick);
}
#endif
