#ifndef HOW_TO_PLAY_H_INCLUDED
#define HOW_TO_PLAY_H_INCLUDED

SimpleWindow How_to_play("How to play",16.0,14.0);//Defining the How_to_play window

int How_to_playMouseClick(const Position &p);//Funtion to control the mouse in the How_to_play window
void Open_How_to_play_screen();//Function to open the How_to_play window
int Open_Welcome_Screen();//Function to open the WelcomeScreen window

//Funtion to control the mouse in the How_to_play window
int How_to_playMouseClick(const Position &p){
	float x=p.GetXDistance(),y=p.GetYDistance();
	if(x>11.0 && x<15.0 && y<14.0 && y>13.5){//Checking if the click is on the CLICK HERE TO GO BACK button and acting accordingly
		How_to_play.Close();
		Open_Welcome_Screen();
		return 1;
	}
	else{//Otherwise, looking for another click
		How_to_play.SetMouseClickCallback(How_to_playMouseClick);
	}
}

//Function to open the How_to_play window
void Open_How_to_play_screen(){
	How_to_play.Open();
	assert(How_to_play.GetStatus()==WindowOpen);
	//Background and the details
	How_to_play.RenderRectangle(Position(0.0,0.0),Position(16.0,14.0),Black);
	How_to_play.RenderText(Position(1.0,0.0),Position(15.0,1.0),"..::RULES OF THE GAME::..",Red,Black);
	How_to_play.RenderText(Position(1.0,1.0),Position(15.0,1.5),"The game is similar to the original game. The game was introduced in",Red,Black);
	How_to_play.RenderText(Position(1.0,1.5),Position(15.0,2.0),"India. This game is designed for two players. Both players get alternate",Red,Black);
	How_to_play.RenderText(Position(1.0,2.0),Position(15.0,2.5),"turns to shoot. The striker is used to shoot other pieces on the board.",Red,Black);
	How_to_play.RenderText(Position(1.0,2.5),Position(15.0,3.0),"The striker has to be placed between the base lines. There are 16 pieces,",Red,Black);
	How_to_play.RenderText(Position(1.0,3.0),Position(15.0,3.5),"four of each of the following colors: Cyan, Blue, Green and Black.",Red,Black);
	How_to_play.RenderText(Position(1.0,3.5),Position(15.0,4.0),"Each color has an associated value to it:",Red,Black);
	How_to_play.RenderText(Position(1.0,4.0),Position(15.0,4.5),"Cyan - 50 points",Red,Black);
	How_to_play.RenderText(Position(1.0,4.5),Position(15.0,5.0),"Blue - 40 points",Red,Black);
	How_to_play.RenderText(Position(1.0,5.0),Position(15.0,5.5),"Green - 25 points",Red,Black);
	How_to_play.RenderText(Position(1.0,5.5),Position(15.0,6.0),"Black - 10 points",Red,Black);
	How_to_play.RenderText(Position(1.0,6.0),Position(15.0,6.5),"All colors are open to both players and they score points corresponding",Red,Black);
	How_to_play.RenderText(Position(1.0,6.5),Position(15.0,7.0),"to the color of the piece they sink in any of the four pockets at the",Red,Black);
	How_to_play.RenderText(Position(1.0,7.0),Position(15.0,7.5),"corners. For sinking the striker a penalty of 10 points is given. At",Red,Black);
	How_to_play.RenderText(Position(1.0,7.5),Position(15.0,8.0),"the end of the game, the person with more points wins.",Red,Black);
	How_to_play.RenderText(Position(1.0,8.0),Position(15.0,9.0),"..::HOW TO PLAY::..",Red,Black);
	How_to_play.RenderText(Position(1.0,9.0),Position(15.0,9.5),"The first step is to set the position of the striker. Using the mouse,",Red,Black);
	How_to_play.RenderText(Position(1.0,9.5),Position(15.0,10.0),"click on the position between the base lines where you want the striker",Red,Black);
	How_to_play.RenderText(Position(1.0,10.0),Position(15.0,10.5),"to be placed. Once you select the position, confirm it by clicking on",Red,Black);
	How_to_play.RenderText(Position(1.0,10.5),Position(15.0,11.0),"POSITION SET at the bottom-right of the board. Next, select the",Red,Black);
	How_to_play.RenderText(Position(1.0,11.0),Position(15.0,11.5),"direction in which you want to shoot the striker by clicking in the",Red,Black);
	How_to_play.RenderText(Position(1.0,11.5),Position(15.0,12.0),"direction. Once you select the angle, confirm it by clicking on ANGLE",Red,Black);
	How_to_play.RenderText(Position(1.0,12.0),Position(15.0,12.5),"SET. Next, select the power with which you want to shoot the striker",Red,Black);
	How_to_play.RenderText(Position(1.0,12.5),Position(15.0,13.0),"by clicking in the power bar at the appropriate level. Once done,",Red,Black);
	How_to_play.RenderText(Position(1.0,13.0),Position(15.0,13.5),"click on POWER SET and then click on SHOOT! to make your shot. Enjoy!",Red,Black);
	How_to_play.RenderText(Position(11.0,13.5),Position(15.0,14.0),"CLICK HERE TO GO BACK",Cyan,Red);
	How_to_play.SetMouseClickCallback(How_to_playMouseClick);
}
#endif
