#ifndef PLAYER_H_INCLUDED
#define PLAYER_H_INCLUDED
#include<stdlib.h>//Used for the atoi() function

class Player{
	private:
	char name[20];//To store name of the Player
	int score;//To store the score of the Player
	public:
	Player(){//Constructor which initializes the score 0
		score=0;
	}
	void set_name(char x[20]){//Function to copy the name
		strcpy(name,x);
	}
	void update_score(int x){//Function to update the score
		if(x==0) score=0;//x=0 is used to make the score=0
		else score=score+x;//else the score is updated by adding
	}
int compare_score(char* charscore){//Function which compares the score of the two players and return’s accordingly
		int score2=atoi(charscore);//converting to int from char
		if(score>score2) return 1;
		else if(score<score2) return -1;
		else return 0;
	}
	char* give_name(){//Function which returns the player’s name
		return name;
	}
	char* give_score(){//Function which returns the score in char
		char *charscore=(char*)malloc(4);
		sprintf(charscore,"%d",score);
		return charscore;
	}
}Player_1,Player_2;//The two objects for the two players
#endif

